Retrieve a single ledger by ID from your Blnk Core instance.
curl -X GET "https://api.cloud.blnkfinance.com/data/ledgers/ldg_073f7ffe-9dfd-42ce-aa50-d1dca1788adc?instance_id=YOUR_INSTANCE_ID" \
-H "Authorization: Bearer blnk_at_YOUR_ACCESS_TOKEN"
{
"ledger_id": "ldg_073f7ffe-9dfd-42ce-aa50-d1dca1788adc",
"name": "MyApp Integration Ledger",
"created_at": "2024-02-20T05:28:03.558281542Z",
"meta_data": {
"description": "Ledger for integration test"
}
}
Retrieve details for a specific ledger by its ID.Documentation Index
Fetch the complete documentation index at: https://guide.cloud.blnkfinance.com/llms.txt
Use this file to discover all available pages before exploring further.
curl -X GET "https://api.cloud.blnkfinance.com/data/ledgers/ldg_073f7ffe-9dfd-42ce-aa50-d1dca1788adc?instance_id=YOUR_INSTANCE_ID" \
-H "Authorization: Bearer blnk_at_YOUR_ACCESS_TOKEN"
Bearer <access_token>. Your OAuth key must include data:read scope (or *).{
"ledger_id": "ldg_073f7ffe-9dfd-42ce-aa50-d1dca1788adc",
"name": "MyApp Integration Ledger",
"created_at": "2024-02-20T05:28:03.558281542Z",
"meta_data": {
"description": "Ledger for integration test"
}
}
curl -X GET "https://api.cloud.blnkfinance.com/data/ledgers/ldg_073f7ffe-9dfd-42ce-aa50-d1dca1788adc?instance_id=YOUR_INSTANCE_ID" \
-H "Authorization: Bearer blnk_at_YOUR_ACCESS_TOKEN"
{
"ledger_id": "ldg_073f7ffe-9dfd-42ce-aa50-d1dca1788adc",
"name": "MyApp Integration Ledger",
"created_at": "2024-02-20T05:28:03.558281542Z",
"meta_data": {
"description": "Ledger for integration test"
}
}